**Source URL:** https://general.veevavault.dev/quality/vault-api/api-reference/22.3/documents/document-attachments/restore-document-attachment-version

# Restore Document Attachment Version

<Endpoint path="/api/{version}/objects/documents/{doc_id}/attachments/{attachment_id}/versions/{attachment_version}?restore=true" method="POST" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{attachment_id}` | The attachment `id` field value. |
| `{attachment_version}` | The attachment `version__v` field value. |
</FieldTable>

## Query Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `restore` | The parameter `restore` must be set to `true`. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/documents/565/attachments/567/versions/2?restore=true
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS",
    "data":
    {
        "id": "567",
        "version__v": 3
    }
}
```
</CodeExample>

## Response Details

On SUCCESS, Vault restores the specific version of an existing attachment to make it the latest version. The response will contain the attachment ID and version of the restored attachment.

---

**Previous:** [Create Multiple Document Attachments](/quality/vault-api/api-reference/22.3/documents/document-attachments/create-multiple-document-attachments)  
**Next:** [Update Document Attachment Description](/quality/vault-api/api-reference/22.3/documents/document-attachments/update-document-attachment-description)